petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscBagLoad

Loads a bag of values from a binary file

### Synopsis

    #include "petscbag.h"
    PetscErrorCode  PetscBagLoad(PetscViewer view,PetscBag bag)

Collective on PetscViewer Many br

### Input Parameter

| viewer | - file to load values from Many br
| bag | - the bag of values Many br

Notes: You must have created and registered all the fields in the bag before loading into it. Many br

### Notes

Many br

### See Also

PetscBag, PetscBagSetName(), PetscBagDestroy(), PetscBagView(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() Many brPetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagRegisterEnum() Many br

Level:beginner
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html